Obter ticket
curl --request GET \
--url https://api.jurichat.com/tickets/{id} \
--header 'x-jurichat-api-key: <api-key>'import requests
url = "https://api.jurichat.com/tickets/{id}"
headers = {"x-jurichat-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-jurichat-api-key': '<api-key>'}};
fetch('https://api.jurichat.com/tickets/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"officeId": "<string>",
"number": 1,
"code": "<string>",
"title": "<string>",
"description": "<string>",
"status": {
"id": "<string>",
"name": "<string>",
"color": "<string>",
"isClosed": true,
"index": 123
},
"priority": "LOW",
"conversationId": "<string>",
"conversation": {
"id": "<string>",
"person": {
"id": "<string>",
"name": "<string>",
"phoneNumber": "<string>"
}
},
"createdByUserId": "<string>",
"createdBy": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"imageUrl": "<string>"
},
"isPublic": true,
"publicToken": "<string>",
"publicUrl": "<string>",
"assignees": [
{
"id": "<string>",
"name": "<string>",
"email": "<string>",
"imageUrl": "<string>"
}
],
"departments": [
{
"id": "<string>",
"name": "<string>"
}
],
"tags": [
{
"id": "<string>",
"name": "<string>",
"color": "<string>"
}
],
"attachments": [
{
"id": "<string>",
"fileName": "<string>",
"mimeType": "<string>",
"sizeBytes": 1,
"url": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"updatesCount": 1,
"lastUpdate": {
"content": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": {
"id": "<string>",
"name": "<string>",
"email": "<string>"
}
},
"startedAt": "2023-11-07T05:31:56Z",
"endedAt": "2023-11-07T05:31:56Z",
"points": 1,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"updates": [
{
"id": "<string>",
"content": "<string>",
"visibility": "PUBLIC",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"imageUrl": "<string>"
},
"attachments": [
{
"id": "<string>",
"fileName": "<string>",
"mimeType": "<string>",
"sizeBytes": 1,
"url": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
]
}
],
"activities": [
{
"id": "<string>",
"type": "CREATED",
"field": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"imageUrl": "<string>"
},
"fromValue": null,
"toValue": null,
"metadata": null
}
]
}{
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"details": "<string>"
}{
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"details": "<string>"
}Tickets
Obter ticket
Retorna um ticket pelo ID ou código (TKT-0001).
GET
/
tickets
/
{id}
Obter ticket
Authorizations
Chave de API do escritório (criada no painel). Envie o valor no header x-jurichat-api-key.
Path Parameters
ID interno do ticket (CUID) ou código compartilhado (TKT-0001).
Required string length:
1 - 40Response
Default Response
Required range:
x > 0Show child attributes
Show child attributes
Available options:
LOW, MEDIUM, HIGH Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Required range:
x >= 0Show child attributes
Show child attributes
Required range:
x >= 0Show child attributes
Show child attributes
Show child attributes
Show child attributes